Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - Le matériel et les pilotes ALSA, FFADO, ...

> Forums de discussion > 1 - Le matériel et les pilotes ALSA, FFADO, ... > [RÉSOLU] installation D'Alsa pour un débutant
Dernier post

[RÉSOLU] installation D'Alsa pour un débutant

Mysth-R utilisateur non connecté France
bonjour à tous !

voila je me suis laissé tenté par linux pour faire du son mais là .... je galère franchement !
bon tout n'est pas négatif, j'ai quand meme réussi à configurer ma carte graphique ATI !!
c'est déjà ça! wink

Par contre pour la carte son ... c'est une autre paire de manche !
Donc j'ai une carte Echo mia Midi qui n'est pas reconnu directement (en tout cas j'ai pas de son qui en sort).
J'ai pris le Problème de sa base : installer ALSA !

je suis sur ubuntu 6.10. J'ai essayé de suivre vos indication pour installer ALSA ! Mais j'ai pas réussi à dépassé la première étape :

Présentation : installer les sources Kernel !
J'ai trouvé les sources (enfin je pense). La commande uname -r me donne : 2.6.17-10-generic
j'ai décompresser les sources dans le dossier /usr/src/ (d'ailleur pour le faire directement dans nautilus obligé de passer par la commande
$ gkudo nautilus (si quelqu'un à une autre solution merci d'avance !)

alors dans mon dossier src j'ai donc plusieurs dossiers :

linux-headers-2.6.17-10
linux-headers-2.6.17-10-generic
linux-source-2.6.17


dans le tutoriel on me demande de faire un lien ?! j'ai pas trop compris alors j'ai tapé :
ln -s /usr/src/linux-source-2.6.17 /usr/src/linux


il demande un mot de passe et il affiche rien de plus. Il m'a juste créé un fichier linux dans le répertoire de type (dans nautilus) "lien (rompu)"

La commande lspci -v | grep -i audio me donne :
Subsystem: Echo Digital Audio Corporation Mia rev.1


et quand je passe à l'étape suivante du tuto en tapant :
cd /usr/src/linux
make menuconfig


bon déjà j'ai pas de répertoire linux alors j'ai tapé linux-source-2.6.17

et le make config me sort une erreur
blablablablbalbalbalbalbalba............
make[1]: *** [scripts/basic/fixdep] Erreur 1
make: *** [scripts_basic] Erreur 2



bon je suis nouveau sur la banquise alors j'ai certainement dû oublier une étape ! si quelqu'un pouvait m'éclaircir !!! redface
merci

Citation :
Donc j'ai une carte Echo mia Midi qui n'est pas reconnu directement (en tout cas j'ai pas de son qui en sort).
J'ai pris le Problème de sa base : installer ALSA !

Salut,

Juste pour signaler un tuto mentionné tout en bas de la page ALSA_Matos qui explique pas à pas comment installer une Echo Mia (+ circuit son intégré CM) sur Ubuntu : https://help.ubuntu.com/community/EchoMia
C'est en anglais, mais les commandes devraient pas trop changer wink.

T.

Mysth-R utilisateur non connecté France
yes merci pour ta réponse rapide !
mais ... !!

en fait le truc c'est que j'ai meme par réussi à installer les drivers ALSA, utils, tools, firmware.

Je suis allé sur le site Alsa, j'ai DL tous les derniers fichiers, et puis je les ai décompressé dans le dossier /usr/src/

et puis j'ai suivi les instructions du site https://help.ubuntu.com/community/EchoMia :
cd alsa-driver-1.0.13
make clean
make mrproper
./configure --with-cards=intel8x0,mia --with-oss=yes --with-sequencer=yes
make
sudo make install



et ça bloque dès le "make clean" :

et voici le magnifique message qu'il me met :

[+]

alors voila du coup j'avance pas trop !

Norrin_Radd utilisateur non connecté France
Juste en passant, je pense que tu n'as pas besoin de compiler les pilotes ALSA, car ta distrib devrait être assez récente pour les contenir (me trompe-je ?).

Bref les modules sont là mais ils ne sont pas chargés.

Je te conseilles de faire un essai en chargeant le module de ta carte à la main.

Regardes nos documentations, il y a differents exemples et tests pour vérifier que tout marche bien.

Ensuite il faudra faire en sorte qu'ALSA soit présent au démarage...

Citation :
et ça bloque dès le "make clean" :


As-tu lu la petite note en dessous des commandes : "Furthermore, if you have only just downloaded the source you do not need to do the steps: make clean; make mrproper... "
En clair, make clean & make mrproper ne sont utiles que pour des sources déjà compilées, pas pour celles que tu viens juste de télécharger !

Pendant qu'on y est, attention aussi à la commande "
./configure --with-cards=intel8x0,mia --with-oss=yes --with-sequencer=yes
"
Elle est valable pour une carte mia + un chipset son "intel8x0" (
--with-cards=intel8x0,mia
). Le cas échéant, il faudra remplacer "intel8x0" par autre chose selon le circuit intégré de ta carte son (voir http://www.alsa-project.org/alsa-doc/ pour trouver le module nécessaire).

T.

Citation :
Juste en passant, je pense que tu n'as pas besoin de compiler les pilotes ALSA, car ta distrib devrait être assez récente pour les contenir (me trompe-je ?).

Je ne suis pas sûr (tu sais Norrin, je maitrise pas trop Ubuntu), mais apparemment, le blème, c'est qu'il faut alsa-firmware pour les cartes echo, et je crois que le paquet compilé n'est pas évident à trouver (un bin'z de licence) ... d'où l'install à la mano !
De plus, je crois que les modules pour les cartes echo sont assez récents (en tous cas, ils bougent souvent, cf. changelog ALSA), avoir la dernière version n'est donc peut-être pas une si mauvaise idée ... mais je peux me tromper moi aussi !
En tous cas, si qqu'un à d'autres infos, y'a certainement qques pages à mettre à jour par ici !

T.

Mysth-R utilisateur non connecté France
ok je vais essayer de me renseigner là dessus.
En fait sur ma distribution (ubuntu 6.10) j'ai utilisé le gestionnaire de paquet synaptic qui permet d'installer de nouveau modules et j'ai plusieur chose : alsa-base et alsa-utils dans la catégorie multimédia et j'ai installé tous les modules alsa-* de la catégorie multimedia universe (alsamixer, alsaplayer....)

et le problème c'est quand je tape alsaconf? dans mon terminal, il me met :
bash: alsaconf : commande introuvable



donc doit y avoir un truc qui n'est pas installé correctement !

Citation :
donc doit y avoir un truc qui n'est pas installé correctement !


Ce fil récent te donnera surement quelques trucs pas inutiles biggrin.


T.

Mysth-R utilisateur non connecté France
bonjour !

Je suis déjà tombé sur ce fil qui donne la démarche à suivre pour l'installation mais le problème c'est que je bloque dès le début : les drivers alsa ne veulent pas s'installer !!

J'ai DL les drivers que j'ai décompressés dans le dossier /usr/src/alsa-driver-1.0.13

ensuite :

[+]

qu'est ce qu'il essai de me dire ?? comprend rien !! rolleyes

Mysth-R utilisateur non connecté France
Citation :
See `config.log' for more details.


voici ce que me dis le config.log :

[+]

Bon j'ai pas tout mis mais en gros c'est là qu'il plante !

Mysth-R utilisateur non connecté France
Oui bon hihi
j'ai trouvé !
en fait j'avais ouvblié d'installer les linux-headers nécessaires à l'installation !
donc ça marche maintenant !

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

calixtus06, 07:48, jeu. 06 Oct 2022: Bonjour et bienvenue à CapuDZ :-)
malt, 20:02, dim. 02 Oct 2022: [Lien]
malt, 20:02, dim. 02 Oct 2022: livestream avec le créateur de Ardour en direct maintenant
Samuel, 23:03, sam. 01 Oct 2022: zrythm beta 3.5.1 est sorti. Il commence à être sacrément bon...
calixtus06, 10:26, ven. 30 Sep 2022: Bonjour et bienvenue à pampete :-)
calixtus06, 21:38, dim. 25 Sep 2022: Bonjour et bienvenue à Dom44 :-)
calixtus06, 10:14, ven. 23 Sep 2022: Bienvenue à Chantegrave et à Michael Alex :-)
calixtus06, 08:11, mer. 21 Sep 2022: Bonjour et bienvenue à BernArd ! :-)
dlb, 11:49, sam. 17 Sep 2022: Mes messages remarchent ... Youpi !
calixtus06, 10:22, jeu. 15 Sep 2022: Bonjour et bienvenu à bobphils et à Hugopierrel :-)
calixtus06, 09:24, mer. 14 Sep 2022: Bonjour et bienvenue à tis :-)
tis, 22:51, mar. 13 Sep 2022: qui est-ce qui zone a st'heuuure ?